| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
GaudiPython.Persistency.FileDescription Class Reference
Inheritance diagram for GaudiPython.Persistency.FileDescription:
[legend]
Collaboration diagram for GaudiPython.Persistency.FileDescription:
[legend]

## Public Member Functions
def | __init__ (self, filename, opt, svc, sel=None, collection=None, fun=None)
def | __data__ (self)
def | __str__ (self)

## Public Attributes
| filename
| opt
| svc
| sel
| collection
| fun

## Detailed Description

Definition at line 48 of file Persistency.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Persistency.FileDescription.__init__ | ( |  | self,
|  |  | filename,
|  |  | opt,
|  |  | svc,
|  |  | sel = `None`,
|  |  | collection = `None`,
|  |  | fun = `None`
| ) |  |

    Class to hold/manipulate the file description.

    @param filename: name of the file
    @param opt: option (READ/CREATE/RECREATE/WRITE)
    @param svc: conversion service (or selector)
    @param sel: selection expression
    @param collection: collection
    @param fun: selection class

Definition at line 49 of file Persistency.py.

49 def __init__(self, filename, opt, svc, sel=None, collection=None,
50 fun=None):
51 '''
52 Class to hold/manipulate the file description.
53
54 @param filename: name of the file
55 @param opt: option (READ/CREATE/RECREATE/WRITE)
56 @param svc: conversion service (or selector)
57 @param sel: selection expression
58 @param collection: collection
59 @param fun: selection class
60 '''
61 self.filename = filename
62 self.opt = opt
63 self.svc = svc
64 self.sel = sel
65 self.collection = collection
66 self.fun = fun
67

## Member Function Documentation

## ◆ __data__()

def GaudiPython.Persistency.FileDescription.__data__ | ( |  | self | ) |

    Return a list of pairs describing the instance.

Definition at line 68 of file Persistency.py.

68 def __data__(self):
69 '''
70 Return a list of pairs describing the instance.
71 '''
72 return [("DATAFILE", self.filename), ("OPT", self.opt),
73 ("SVC", self.svc), ("SEL", self.sel),
74 ("COLLECTION", self.collection), ("FUN", self.fun)]
75

## ◆ __str__()

def GaudiPython.Persistency.FileDescription.__str__ | ( |  | self | ) |

    Return the string representation of the file description to be passed
    to the application.

Definition at line 76 of file Persistency.py.

76 def __str__(self):
77 """
78 Return the string representation of the file description to be passed
79 to the application.
80 """
81 return " ".join(["%s='%s'" % (k, v) for k, v in self.__data__() if v])
82
83
GaudiPython.HistoUtils.__str__
__str__
Definition: HistoUtils.py:510

## Member Data Documentation

## ◆ collection

GaudiPython.Persistency.FileDescription.collection

Definition at line 64 of file Persistency.py.

## ◆ filename

GaudiPython.Persistency.FileDescription.filename

Definition at line 60 of file Persistency.py.

## ◆ fun

GaudiPython.Persistency.FileDescription.fun

Definition at line 65 of file Persistency.py.

## ◆ opt

GaudiPython.Persistency.FileDescription.opt

Definition at line 61 of file Persistency.py.

## ◆ sel

GaudiPython.Persistency.FileDescription.sel

Definition at line 63 of file Persistency.py.

## ◆ svc

GaudiPython.Persistency.FileDescription.svc

Definition at line 62 of file Persistency.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Persistency.py